/*
This code is adapted from the selenide_straightforward test at https://github.com/selenide-examples/google and from code at https://selenide.gitbooks.io/user-guide/.
Updated Apr 10, 2018. Distributed by installselenium.weebly.com
*/

import org.junit.*;
import org.openqa.selenium.*;
import com.codeborne.selenide.*;
import static com.codeborne.selenide.Selenide.*;
import static com.codeborne.selenide.CollectionCondition.*;
import static com.codeborne.selenide.Condition.*;
import org.junit.runners.MethodSorters;
@FixMethodOrder(MethodSorters.NAME_ASCENDING)


public class a_GoogleTest {

  @BeforeClass
  public static void setup() {
      Configuration.baseUrl = "http://google.com/ncr";
      if(System.getProperty("selenide.browser") == null){
          Configuration.browser = "chrome"; //set default browser
      }
  }

  @Test
  public void _01_search_selenide_in_google() {
    //The first result in a google search for "selenide" should be selenide.org

    //Locators
    SelenideElement     searchbox = $(By.name("q"));
    ElementsCollection  searchResults = $$("#ires .g");
    SelenideElement     firstSearchResult = $("#ires .g");

    //When
    open("");
    searchbox.setValue("selenide").pressEnter();

    //Then
    searchResults.shouldHave(sizeGreaterThan(1));
    firstSearchResult.shouldBe(visible).shouldHave(
        text("Selenide: concise UI tests in Java"),
        text("selenide.org"));
  }
}



